Package org.h2.command.ddl

# Class CreateTableData

java.lang.Object
org.h2.command.ddl.CreateTableData

public class CreateTableData extends Object
The data required to create a table.

## Field Summary

Fields
Modifier and Type
Field
Description
`ArrayList<Column>`
`columns`
The column list.
`boolean`
`globalTemporary`
Whether the table is global temporary.
`int`
`id`
The object id.
`boolean`
`persistData`
Whether the data should be persisted.
`boolean`
`persistIndexes`
Whether the indexes should be persisted.
`Schema`
`schema`
The schema.
`SessionLocal`
`session`
The session.
`String`
`tableEngine`
The table engine to use for creating the table.
`ArrayList<String>`
`tableEngineParams`
The table engine params to use for creating the table.
`String`
`tableName`
The table name.
`boolean`
`temporary`
Whether this is a temporary table.

## Constructor Summary

Constructors
Constructor
Description
`CreateTableData()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### schema

public Schema schema
The schema.

### tableName

public String tableName
The table name.

### id

public int id
The object id.

### columns

public ArrayList<Column> columns
The column list.

### temporary

public boolean temporary
Whether this is a temporary table.

### globalTemporary

public boolean globalTemporary
Whether the table is global temporary.

### persistIndexes

public boolean persistIndexes
Whether the indexes should be persisted.

### persistData

public boolean persistData
Whether the data should be persisted.

### session

public SessionLocal session
The session.

### tableEngine

public String tableEngine
The table engine to use for creating the table.

### tableEngineParams

public ArrayList<String> tableEngineParams
The table engine params to use for creating the table.

## Constructor Details

### CreateTableData

public CreateTableData()